package cn.com.poc.thirdparty.resource.demand.ai.entity.generations;

import java.util.List;

/**
 * @author alex.yao
 * @date 2023/10/9
 **/
public class DataV2 {

    /**
     * 任务 Id
     */
    private Long taskId;

    /**
     * 计算总状态。有 INIT（初始化），WAIT（排队中）, RUNNING（生成中）, FAILED（失败）, SUCCESS（成功）四种状态，只有 SUCCESS 为成功状态
     */
    private String taskStatus;

    /**
     * 图片生成总进度，进度包含2种，0为未处理完，1为处理完成
     */
    private Integer taskProgress;

    /**
     * 子任务生成结果列表
     */
    private List<SubTaskResult> subTaskResultList;

    public Long getTaskId() {
        return taskId;
    }

    public void setTaskId(Long taskId) {
        this.taskId = taskId;
    }

    public String getTaskStatus() {
        return taskStatus;
    }

    public void setTaskStatus(String taskStatus) {
        this.taskStatus = taskStatus;
    }

    public Integer getTaskProgress() {
        return taskProgress;
    }

    public void setTaskProgress(Integer taskProgress) {
        this.taskProgress = taskProgress;
    }

    public List<SubTaskResult> getSubTaskResultList() {
        return subTaskResultList;
    }

    public void setSubTaskResultList(List<SubTaskResult> subTaskResultList) {
        this.subTaskResultList = subTaskResultList;
    }
}
